
QGIS Application - Bug report #6402

DB Manager and Varchar field lengths

2012-09-24 02:54 AM - James Stott

Status: Closed

Priority: Normal

Assignee: Giuseppe Sucameli

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15655

Description

DB Manager reports that my varchar fields are 4 characters longer than they actually are. PGAdmin reports the correct length. QGIS also

refuses records that are longer than the correct length.

Windows 7 64 bit - QGIS 1.8.0 OSGeo4W

Associated revisions

Revision 99876ccb - 2012-10-03 01:25 AM - Giuseppe Sucameli

db_manager: get fields' size from formatted type string (fix #6402)

History

#1 - 2012-09-24 03:20 AM - Giovanni Manghi

- Target version set to Version 2.0.0

- Assignee set to Giuseppe Sucameli

#2 - 2012-10-02 04:26 PM - Giuseppe Sucameli

- Status changed from Open to Closed

Fixed in changeset commit:"99876ccb4594fec2cf09291049b63ca4fe7b2ee0".
